import ttkbootstrap as tb
from components.login import login_frame
from components.register import register_frame

# Backend API URL
API_URL = "http://127.0.0.1:8000"

# Function to switch between login and register
def switch_frame(frame_name):
    if frame_name == "login":
        login.tkraise()
    elif frame_name == "register":
        register.tkraise()

# Create main window
root = tb.Window(themename="superhero")
root.title("Shopping App")
root.geometry("900x800")

# Create Frames
login = login_frame(root, switch_frame, API_URL)
register = register_frame(root, switch_frame, API_URL)

for frame in (login, register):
    frame.place(relx=0, rely=0.2, relwidth=1, relheight=1)

# Show Login Frame First
switch_frame("login")

# Run the GUI
root.mainloop()
